Bug 198630 - Make login processes initialise session keyring
Summary: Make login processes initialise session keyring
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 198623
TreeView+ depends on / blocked
 
Reported: 2006-07-12 13:22 UTC by David Howells
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 17:28:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add keyinit instruction to PAM script (3.41 KB, patch)
2006-07-13 13:25 UTC, David Howells
no flags Details | Diff

Description David Howells 2006-07-12 13:22:54 UTC
+++ This bug was initially created as a clone of Bug #198623 +++

This package contains the "kdm" program for which the PAM script needs to be 
modified.

WHAT NEEDS TO BE DONE
=====================
The PAM scripts for the login programs need to be altered to forcibly create a 
new session keyring when a login event occurs.

These simply require the following line adding to their PAM scripts:

	session	    optional    pam_keyinit.so    force revoke

This forces them to create a new session keyring during login, replacing the
one inherited from their parent, and causes the session keyring so created to
be revoked when the login process exits.

Ideally, this should be "required" not "optional", but it still has to work if 
the pam_keyinit.so library is absent.

The authlogin program needs modifying to add:

	session	    optional    pam_keyinit.so    revoke

To the default session (system-auth).  This just creates a new session keyring 
if one doesn't yet exist for this process.

The "su" program needs to split its "su - [user]" mode PAM script from its "su 
[user]" PAM script, so that the former can forcibly create a keyring whilst 
the latter doesn't.

Comment 1 David Howells 2006-07-13 13:25:16 UTC
Created attachment 132370 [details]
Add keyinit instruction to PAM script

This patch modifies the devel/ directory contents to make the kdm PAM scripts
separate to those of kscreensaver and kcheckpass, and makes the kdm PAM scripts
force a new session keyring.

Comment 3 Ngo Than 2006-07-13 17:28:08 UTC
It's now fixed in kdebase-3_5_3-12.

David, thanks for the patch!


Note You need to log in before you can comment on or make changes to this bug.